Skip to navigation

Update an Account nickname

Update the nickname of an enrolled account.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired<=36 characters
A unique ID that is created for the Account.

Request

This endpoint expects an object.
nicknamestringRequired<=40 characters

The nickname of the American Express funding account. This field only accepts digits zero through nine, letters a-z or A-Z, space, and special characters ( ! # $ % & ' ( ) * + , / - . : ; = ? @ [ ] ^ ` { | } ~ ¢ £ ¤ ¬ ). To remove accountNickname, this field must be sent as an empty string.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
accountIdstring<=36 characters
A unique ID that is created for the Account.
accountNicknamestring<=40 characters

The nickname of the American Express funding account. This field only accepts digits zero through nine, letters a-z or A-Z, space, and special characters ( ! # $ % & ' ( ) * + , / - . : ; = ? @ [ ] ^ ` { | } ~ ¢ £ ¤ ¬ ). To remove accountNickname, this field must be sent as an empty string.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error